Is Regression:
Subject: Usage of deprecated PHP < 5.3  function calls
Description

// checking for 'dl()'
typo3/sysext/adodb/adodb/adodb-pear.inc.php:365:                        @dl($name . $dlext);
typo3/sysext/em/classes/parser/class.tx_em_parser_xmlabstractparser.php:77:                     if (!((bool) ini_get('enable_dl') && !(bool)
ini_get('safe_mode') && function_exists('dl') && dl($prefix . $this->requiredPHPExt . PHP_SHLIB_SUFFIX))) {
typo3/sysext/openid/lib/php-openid/Auth/OpenID/BigMath.php:380:                if (@dl($module . "." . PHP_SHLIB_SUFFIX)) {
typo3/sysext/openid/lib/php-openid/Auth/Yadis/XML.php:352:                if (@dl($libname)) {
// checking for 'set_magic_quotes_runtime()'
typo3/contrib/swiftmailer/classes/Swift/ByteStream/FileByteStream.php:82:        set_magic_quotes_runtime(0);
typo3/contrib/swiftmailer/classes/Swift/ByteStream/FileByteStream.php:87:        set_magic_quotes_runtime(1);
typo3/contrib/swiftmailer/classes/Swift/KeyCache/DiskKeyCache.php:174:        set_magic_quotes_runtime(0);
typo3/contrib/swiftmailer/classes/Swift/KeyCache/DiskKeyCache.php:183:        set_magic_quotes_runtime(1);
typo3/contrib/swiftmailer/classes/Swift/KeyCache/DiskKeyCache.php:202:        set_magic_quotes_runtime(0);
typo3/contrib/swiftmailer/classes/Swift/KeyCache/DiskKeyCache.php:210:        set_magic_quotes_runtime(1);

The test script also gives false positives. It finds 'split()' in pieces of JS inside PHP files for example.
(issue imported from #M17542)

Related issues:
related to Core - Bug # 25395: Remove explicit checks for PHP < 5.3 Closed 2011-03-25
related to LTS Smooth Migration - Task # 49197: Check for 'Remove leftover de... Rejected 2013-06-17

History
#1 - 2011-02-11 08:33 - Michiel Roos

Also the following deprecateded ini directives are used:
// checking for 'magic_quotes_runtime()'
typo3/sysext/adodb/adodb/adodb-xmlschema.inc.php:1307:          ini_set("magic_quotes_runtime", 0);
typo3/sysext/adodb/adodb/adodb-xmlschema.inc.php:2197:          ini_set("magic_quotes_runtime", $this->mgq );
typo3/sysext/adodb/adodb/adodb-xmlschema03.inc.php:1412:                ini_set("magic_quotes_runtime", 0);
typo3/sysext/adodb/adodb/adodb-xmlschema03.inc.php:2378:                ini_set("magic_quotes_runtime", $this->mgq );

#2 - 2011-12-27 19:53 - Steffen Gebert
- Status changed from New to Rejected
- Target version deleted (0)
that's all part of 3rd-party libraries. not our business..

#3 - 2012-01-02 14:04 - Ingo Renner
- Status changed from Rejected to Accepted

It very well is our business since we use those libraries. The solution for this issue would be to update to newer versions of the libraries or to at least
file issues in their bug tracking systems.

#4 - 2013-07-07 12:22 - Markus Klein
- Status changed from Accepted to Needs Feedback

Is this still an issue today? Swiftmailer was updated.

#5 - 2013-07-08 09:35 - Michiel Roos

// checking for 'set_magic_quotes_runtime()'
classes/Swift/ByteStream/FileByteStream.php:82:        set_magic_quotes_runtime(0);
classes/Swift/ByteStream/FileByteStream.php:87:        set_magic_quotes_runtime(1);
classes/Swift/KeyCache/DiskKeyCache.php:174:        set_magic_quotes_runtime(0);
classes/Swift/KeyCache/DiskKeyCache.php:183:        set_magic_quotes_runtime(1);
classes/Swift/KeyCache/DiskKeyCache.php:202:        set_magic_quotes_runtime(0);
classes/Swift/KeyCache/DiskKeyCache.php:210:        set_magic_quotes_runtime(1);

These are harmless calls since they will only be called if $this->_quotes is true.

$this->_quotes is set by http://nl1.php.net/get_magic_quotes_runtime which will always return false in the current PHP version.

Please close this issue.

#6 - 2013-07-11 12:15 - Alexander Opitz
- Status changed from Needs Feedback to Closed

Files
phpDeprecatedCheck 997 Bytes 2011-02-11 Administrator Admin
phpDeprecatedCheck-0.0.2 1.4 kB 2011-02-11 Administrator Admin
